# Get Authorizations
source: https://developer.mastercard.com/pay-with-rewards/documentation/use-cases/authorizations/get-authorizations/index.md

## Short description {#short-description}

This API is used to retrieve the list of authorizations and corresponding PWR result

## Sequence diagram {#sequence-diagram}

Diagram pwr-get-authorizations

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer logs into the customer's app.
2. The customer authenticates the consumer.
3. The customer makes a GET request to the /authorizations endpoint to retriever the consumer authorizations.
4. The request for getting the authorizations has the following mandatory request parameters:
   * **id** : Unique identifier of the consumer
   * **from_date** : Start date (YYYY-MM-DD) for the transactions required. Required.
   * **to_date** : End date (YYYY-MM-DD) for the transactions required. Required.
   * **include_reprocessed** : Indicates whether authorizations that were reprocessed (redeemed post-purchase by the cardholder) should be included.
5. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to Pay with Rewards in the case of a valid customer.
6. The Pay with Rewards service validates the request parameters received via the `GET /authorizations` endpoint.
7. The Pay with Rewards service retrieves the consumers authorizations.
8. The Pay with Rewards service sends a response with the consumers authorizations, with a status code of 200, in the case of a successful request.
9. The Pay with Rewards service sends a response with a status code of 4xx/5xx in case of an invalid request.
10. The customer displays the consumer's authorizations

## Endpoint {#endpoint}


API Reference: `GET /authorizations`

